This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 742768

Summary: tracker-miner-fs consumes 100% cpu and never finishes
Product: [Fedora] Fedora Reporter: Hans de Goede <hdegoede>
Component: trackerAssignee: Deji Akingunola <dakingun>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: 777tahder, awilliam, bill, boblitz13, bochecha, dakingun, dan.doel, elad, jeremy, jik, lars, liblit, mail2benny, martin, massi.ergosum, pavel.ondracka, piette.simon, piv986, pizza, rafaelri, samuel-rhbugs, sanjay.ankur, unpluged5, vpaoloreyes
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: RejectedBlocker RejectedNTH
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 08:25:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Hans de Goede 2011-10-02 13:33:12 EDT
After I did:
tracker-control -r
tracker-control -c
tracker-control --start

On a fully up2date F-16, in an attempt to fix $Summary, all seemed well the various miner processes started doing there thing and all finished reasonably quick.

But after a reboot the problem is back, with tracker-miner-fs (+ store) eating 100% cpu between the 2 of them. tracker-control says:

 [hans@localhost ~]$ tracker-control
Found 135 PIDs…
Found process ID 1584 for 'tracker-miner-fs'
Found process ID 1587 for 'tracker-miner-flickr'
Found process ID 1594 for 'tracker-store'

Store:
02 Oct 2011, 19:17:59:  ✓     Store                 - Idle 

Miners:
02 Oct 2011, 19:17:59:  ✓     Flickr                - Idle 
02 Oct 2011, 19:17:59:    0%  File System           - Initializing 
02 Oct 2011, 19:17:59:  ✗     Emails                - Not running or is a disabled plugin
02 Oct 2011, 19:17:59:   84%  Applications          - Processing… 11m 47s remaining

And still says the same 30 minutes later (draining my battery all the while).

I consider this  a pretty serious bug (esp the draining battery part), so I'm proposing this as a F16Blocker.

Please let me know if there is anything I can do / try to help debug / fix this.
Comment 1 Elad Alfassa 2011-10-03 05:44:57 EDT
Seems similar to #742666, the only difference is the miner (bug #742666 is about gd-tracker-gdata-miner) Maybe the issue is with tracker itself and not the specific miner?
Comment 2 Adam Williamson 2011-10-07 15:01:23 EDT
Discussed at 2011-10-07 blocker review meeting. Rejected as blocker and NTH as it can be fixed with an update, so long as tracker doesn't run when booted live. If tracker runs when booted live, please note and re-propose as blocker or NTH.
Comment 3 Hans de Goede 2011-10-21 16:50:46 EDT
Sorry for the late reply, I just checked and tracker is running under the livecd, but it does not seem to have the lets go consume 100% cpu issue there, so I guess
this is still not a blocker.

Note that I now have this 100% cpu load issue on both my laptop and my desktop, rather then on just my laptop. On my desktop this is also resulting in the tracker DB eating up all of my diskspace on my /home partition.

tracker developers, these are rather serious issues, can we please get some attention for this bug?
Comment 4 vpaoloreyes 2011-11-13 05:12:31 EST
I'm not that technical of person yet when it comes to this stuff. But I also noticed that my cpu % usage increased after upgrading to F16 from F15. I monitor it using gkrellm. I decided to check out the processes running and found that tracker-miner-fs was already consuming at least 40% after start-up. Is there a solution for this already? 

I am using the F16 x86_64 version. My laptop is a toshiba portege m900 with 4gig ram, 2.1ghz dual core, with gallium 0.4 on AMD RV710.
Comment 5 Solomon Peachy 2011-11-13 09:53:35 EST
I'm seeing asimilar problem; not only is it consuming all CPU, the ~/.local/share/tracker directory slowly grows the whole time.  When I finally killed it, it was using nearly 60GB.

This is ridiculous.
Comment 6 Ihor 2011-11-14 14:44:33 EST
I have this problem. My laptop is a emachines e525 (CPU T3000)
Comment 7 Adam Williamson 2011-11-15 17:00:12 EST
tracker should generally follow the usage pattern of most desktop search systems - it will use a lot of resources while creating its initial database but after that it should quiet down a lot. If it uses significant resources on your system at each boot for a substantial period of time then that certainly seems like a bug in tracker.

Given how desktop search systems work, though, you could each be hitting different bugs. Tracker devs, can you please advise how users having issues with excessive resource usage can debug and figure out what's going wrong? Thanks.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Adam Williamson 2011-11-15 17:00:42 EST
note that if you just want to disable tracker to get around the problem for now, you can do so from gnome-session-properties - disable all the 'tracker' bits.
Comment 9 Ankur Sinha (FranciscoD) 2011-11-29 09:55:50 EST
I hadn't had any issues yet, but tracker has now been running for a good 20 minutes:

[ankur@ankur Game]$ tracker-control
Found 203 PIDs…
Found process ID 1761 for 'tracker-miner-fs'
Found process ID 1770 for 'tracker-miner-flickr'
Found process ID 1803 for 'tracker-store'

Store:
29 Nov 2011, 20:21:41:  ✓     Store                 - Idle

Miners:
29 Nov 2011, 20:21:41:  ✓     Flickr                - Idle
29 Nov 2011, 20:21:41:  ✓     File System           - Processing…
29 Nov 2011, 20:21:41:    0%  E-mails               - Initialising
29 Nov 2011, 20:21:41:  ✓     Applications          - Idle

Thanks,
Ankur
Comment 10 Ankur Sinha (FranciscoD) 2011-11-29 10:03:24 EST
I reset the trackers (terminated them using tracker-control) and then re-ran them using tracker-control -s. The entire thing starts over again, so I'm guessing it's just taking time crawling over my huge disk space. Is it possible to schedule tracker to run at a particular time, like in the middle of the night when I'm not using the system (like I do with my backups)? That would be really great!

Thanks,
Ankur
Comment 11 Ankur Sinha (FranciscoD) 2011-11-29 10:09:10 EST
Quick update (really sorry for the emails this is generating): it finished crawling over the system. So this took only 3 minutes and there was something wrong earlier when it ran on for 25+ minutes.
Comment 12 Hans de Goede 2011-11-29 10:17:46 EST
Hi,

(In reply to comment #11)
> Quick update (really sorry for the emails this is generating): it finished
> crawling over the system. So this took only 3 minutes and there was something
> wrong earlier when it ran on for 25+ minutes.

Then you're likely hitting the same bug I'm hitting. If you are then if you logout and login again (or maybe a reboot is needed to trigger, not sure on that one), then it will get stuck consuming 100% CPU again ..., kill it and reset the db and it does one successful scan, next login, stuck again ...

Regards,

Hans
Comment 13 vpaoloreyes 2011-11-29 23:51:37 EST
I agree with Hans, I'm still hitting 100% CPU every time I activate the tracker.
Comment 14 Bill Gradwohl 2011-11-30 12:30:53 EST
Glancing at System Monitor on a box that was supposed to be just idling, I noticed high CPU utilization.

Top reports:
 1512 root      39  19  443m 7396 5488 R 71.3  0.2  97:37.96 tracker-miner-f                                                                          
 1582 root      20   0  679m  76m 4028 S 25.2  2.1  33:59.61 tracker-store                                                                            
... and it's still running.

This is on a brand new install of F16, fully patched as of this morning.

root@box2 ~# tracker-control
Found 150 PIDs…
Found process ID 1512 for 'tracker-miner-fs'
Found process ID 1515 for 'tracker-miner-flickr'
Found process ID 1582 for 'tracker-store'

Store:
30 Nov 2011, 11:26:38:  ✓     Store                 - Idle 

Miners:
30 Nov 2011, 11:26:38:  ✓     Flickr                - Idle 
30 Nov 2011, 11:26:38:    0%  File System           - Initializing 
30 Nov 2011, 11:26:38:  ✗     Emails                - Not running or is a disabled plugin
30 Nov 2011, 11:26:38:   98%  Applications          - Processing… 02m 33s remaining
Comment 15 Bill Gradwohl 2011-11-30 12:43:15 EST
I don't know if this tracker-miner-fs.log file means anything to anyone, but here it is.  Note that the last entry was at least an hour before I noticed it using lots of cpu. Whatever its doing now, its not generating errors.

Time now is 105 minutes and 36 minutes for tracker-miner-fs and tracker-store respectively. 

Still going .....


29 Nov 2011, 15:42:10: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

29 Nov 2011, 15:42:10: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

29 Nov 2011, 15:42:10: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.AfcVolumeMonitor',': org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

29 Nov 2011, 15:42:10: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.AfcVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 15:42:10: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GPhoto2VolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 15:42:10: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GPhoto2VolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 15:42:10: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GduVolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 15:42:10: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GduVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:02: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

29 Nov 2011, 16:58:02: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

29 Nov 2011, 16:58:02: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.AfcVolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:02: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.AfcVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:02: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GPhoto2VolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:02: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GPhoto2VolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:02: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GduVolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:02: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GduVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:50: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

29 Nov 2011, 16:58:50: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

29 Nov 2011, 16:58:50: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.AfcVolumeMonitor',': org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

29 Nov 2011, 16:58:50: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.AfcVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:50: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GPhoto2VolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:50: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GPhoto2VolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:50: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GduVolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

29 Nov 2011, 16:58:50: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GduVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:06:17: Tracker-Critical **:   (Sparql buffer) Error in array-update: The connection is closed

30 Nov 2011, 09:06:17: Tracker-Critical **: Could not execute sparql: The connection is closed

30 Nov 2011, 09:06:17: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

30 Nov 2011, 09:06:17: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

30 Nov 2011, 09:06:17: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.AfcVolumeMonitor',': org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

30 Nov 2011, 09:06:17: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.AfcVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:06:17: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GPhoto2VolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:06:17: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GPhoto2VolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:06:17: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GduVolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:06:17: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GduVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:09:45: Tracker-Critical **:   (Sparql buffer) Error in array-update: The connection is closed

30 Nov 2011, 09:09:45: Tracker-Critical **: Could not execute sparql: The connection is closed

30 Nov 2011, 09:09:45: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

30 Nov 2011, 09:09:45: GLib-GIO-Critical **: Error while sending AddMatch() message: The connection is closed

30 Nov 2011, 09:09:45: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.AfcVolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:09:45: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.AfcVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:09:45: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GPhoto2VolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:09:45: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GPhoto2VolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:09:45: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.gtk.Private.RemoteVolumeMonitor',sender='org.gtk.Private.GduVolumeMonitor',': org.freedesktop.DBus.Error.Disconnected: Connection is closed

30 Nov 2011, 09:09:45: GVFS-RemoteVolumeMonitor-Warning **: cannot remove match rule 'type='signal',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.gtk.Private.GduVolumeMonitor'': org.freedesktop.DBus.Error.Disconnected: Connection is closed
Comment 16 Bill Gradwohl 2011-11-30 13:31:57 EST
According to top, tracker-{miner,store} have been running 141,49 minutes.

Running:
lsof|grep tracker|grep -v '.so'|grep -v '.local'|grep -v '/usr'|grep -v 'meta'|grep -v 'inode'|grep -v 'xsession'|grep -v '.cache'|grep -v 'config'|grep -v 'dconf'|grep -v dev|grep -v pipe|grep -v proc

to remove all the extraneous info that lsof produces, I can see no open "user" files that tracker is working on. 

The hard drive light blinks about every 5 seconds to confirm that there is no real disk activity going on.

Tracker appears to be in some kind of endless loop, sucking up resources for no benefit.

Is there any way to debug the running application that is executing at this moment to see what sequence of instructions its in?
Comment 17 Steve 2012-08-04 08:53:36 EDT
I've exactly the same problem as Bill describes in a fully updated F-17. "top" says "tracker-mines-fs" is running about 410 min.
Comment 18 boblitz13 2012-08-04 21:53:12 EDT
Also running a fully updated F17. "tracker-miner-fs" has been running for 20+ minutes consuming 100% CPU. When I check tracker-control, it vacillates between 12 and 6% complete with my filesystem.


[john@john ~]$ tracker-control
Found 179 PIDs…
Found process ID 1283 for 'tracker-miner-fs'
Found process ID 1343 for 'tracker-store'

Store:
04 Aug 2012, 21:47:51:  ✓     Store                 - Idle 

Miners:
04 Aug 2012, 21:47:51:  ✗     Flickr                - Not running or is a disabled plugin
04 Aug 2012, 21:47:51:   12%  File System           - Processing… 04h 55m 46s remaining
04 Aug 2012, 21:47:51:  ✗     Emails                - Not running or is a disabled plugin
04 Aug 2012, 21:47:51:  ✓     Applications          - Idle 


[john@john ~]$ tracker-control
Found 178 PIDs…
Found process ID 1283 for 'tracker-miner-fs'
Found process ID 1343 for 'tracker-store'

Store:
04 Aug 2012, 21:48:53:  ✓     Store                 - Idle 

Miners:
04 Aug 2012, 21:48:53:  ✗     Flickr                - Not running or is a disabled plugin
04 Aug 2012, 21:48:53:    6%  File System           - Processing… 10h 47m 31s remaining
04 Aug 2012, 21:48:53:  ✗     Emails                - Not running or is a disabled plugin
04 Aug 2012, 21:48:53:  ✓     Applications          - Idle
Comment 19 Gareth Davies 2012-10-15 18:59:47 EDT
Disabled Tracker Mine F - Totally chewed 100% P1 and 75% P2, 3 hours in to a session. I would have thought it would kick in when the system is idling, but not the case.
Comment 20 Steve 2013-01-11 10:26:09 EST
This bug seems to be fixed meanwhile. I've never see it again.
Comment 21 Mathieu Bridon 2013-01-11 23:44:13 EST
Agreed, it's been a while since I've had this issue.

tracker-0.14.4-1.fc18.x86_64
Comment 22 Fedora End Of Life 2013-01-16 07:50:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Fedora End Of Life 2013-02-13 08:25:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 24 Rafael de Albuquerque Ribeiro 2013-05-23 15:46:41 EDT
I had the exact same problem and appending "X-GNOME-Autostart-Delay=60" to /etc/xdg/autostart/tracker-miner-fs.desktop solved this issue. It really seems like some race condition upon startup. It is possible that some other value much lower than 60 would already suffice but for now I'll leave as is.